//	NAME	: ROLLDICE.C
//	BY		: S. R. Akhtar					ON:  01/09/96
//	PURPOSE	: functions to simulate rolling an N-sided die Y-times.

#include <time.h>

#include "dice.h"



int iRand(int loVal, int hiVal)
{
	double lnRetVal;

	setseed( (unsigned) time( NULL ) );						// Initialize generators with current time
	
	lnRetVal = ( (hiVal - loVal + 1) * rndu() + loVal);		// x = uniform random number of higher quality

	return (int) lnRetVal;
}



int rollDice(int rolls, int die)
{
	int lnCount, lnRoll;
	lnCount = 0;
	lnRoll = 0;

	while (lnCount != rolls)
	{
		lnRoll = lnRoll + iRand(1, die);
		lnCount = lnCount + 1;
	}

	return lnRoll;
}
